#include "corehost.h"
#include <QDebug>
#include <QHash>
#include <QIcon>

CoreHost::CoreHost()
{
}

CoreHost::~CoreHost()
{
    for (auto item : pics_resources)
        delete item;
    pics_resources.clear();
}

QIcon*
CoreHost::queryCoverIcon(const QString& path)
{
    if (!pics_resources.contains(path))
        pics_resources.insert(path, new QIcon(path));

    return pics_resources.value(path);
}
